#include <iostream>

class Vector {
private:
    int x, y;
public:
    Vector(int x = 0, int y = 0) : x(x), y(y) {}

    // Overload the == operator
    bool operator==(const Vector& v) const {
        return (x == v.x && y == v.y);
    }

    // Overload the != operator
    bool operator!=(const Vector& v) const {
        return !(*this == v);
    }
};

int main() {
    Vector v1(3, 4);
    Vector v2(3, 4);
    Vector v3(5, 6);

    if (v1 == v2) {
        std::cout << "v1 is equal to v2" << std::endl;
    }

    if (v1 != v3) {
        std::cout << "v1 is not equal to v3" << std::endl;
    }

    return 0;
}

